#!/usr/bin/env python
# -*- coding: utf-8 -*-

from Abstracts.AnPMap import AnP
from Abstracts.Applications import ApplicationsAbstract
from typing import Any, Optional
from os.path import abspath as path_absolute
from os.path import dirname as directory_name

class Kanvas(ApplicationsAbstract):

    def __init__(self, anp:AnP, inputs:Optional[dict[str, Any|None]|tuple|list] = None) -> None:
        super().__init__(anp, "kanvas", anp.path.get_parent(path_absolute(directory_name(__file__))), {
            **anp.get_dictionary(inputs), 
            "kanvas_default_settings_files" : "/JSON/Kanvas.py.settings.json", 
            "kanvas_controllers" : {}, 
            "kanvas_resources" : ("logo", "charset", "link", "git")
        })